export declare class RabbitMqException extends Error {
    constructor(message: string);
}
export declare class RabbitMqResponseException extends RabbitMqException {
    constructor(message: string, exchange: string, routingKey: string);
    exchange: string;
    routingKey: string;
}
export declare class RabbitMqResponseErrorException extends RabbitMqResponseException {
    constructor(message: string, exchange: string, routingKey: string);
}
export declare class RabbitMqResponseTimeoutException extends RabbitMqResponseException {
    constructor(message: string, exchange: string, routingKey: string);
}
//# sourceMappingURL=exceptions.d.ts.map