import { RabbitMQPattern } from '../types';
export interface IMessageEnvelope<T> {
    pattern: RabbitMQPattern;
    data: T;
}
export declare class MessageResponseEnvelope<T> {
    private constructor();
    static createError<T>(error: string): MessageResponseEnvelope<T>;
    static createSuccess<T>(data: T): MessageResponseEnvelope<T>;
    error?: string;
    data?: T;
}
//# sourceMappingURL=messageEnvelope.interface.d.ts.map