import { Carrier, CarrierService, ISODate, ULID } from '../../../common';
import { IParcelStatus } from '../../../order.interface';
export interface ITrackingMessage {
    carrierId: Carrier;
    customerId: string;
    orderId: ULID;
    trackingId: string;
    parcelId: string;
    externalParcelId: string;
    labelUrl?: string;
    events: IParcelStatus[];
    createdAt?: ISODate;
    carrierService?: CarrierService;
    barcodeTrackingId?: string;
}
//# sourceMappingURL=tracking.interface.d.ts.map