"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CarrierStdOutLogger = void 0;
const common_1 = require("@nestjs/common");
class CarrierStdOutLogger {
    constructor() {
        this.logger = new common_1.Logger(CarrierStdOutLogger.name);
    }
    logGetPackageStatus(requestHeaders, requestBody, responseHeaders, responseBody) {
        this.logger.verbose('GetPackageStatus', {
            requestHeaders,
            requestBody,
            responseHeaders,
            responseBody,
        });
    }
    logGetPackageLabel(requestHeaders, requestBody, responseHeaders) {
        this.logger.verbose('GetPackageLabel', {
            requestHeaders,
            requestBody,
            responseHeaders,
        });
    }
    logCreateNewOrder(requestHeaders, requestBody, responseHeaders, responseBody) {
        this.logger.verbose('CreateNewOrder', {
            requestHeaders,
            requestBody,
            responseHeaders,
            responseBody,
        });
    }
}
exports.CarrierStdOutLogger = CarrierStdOutLogger;
//# sourceMappingURL=CarrierStdOutLogger.js.map