"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageResponseEnvelope = void 0;
class MessageResponseEnvelope {
    constructor(error, data) {
        this.error = error;
        this.data = data;
    }
    static createError(error) {
        return new MessageResponseEnvelope(error);
    }
    static createSuccess(data) {
        return new MessageResponseEnvelope(undefined, data);
    }
}
exports.MessageResponseEnvelope = MessageResponseEnvelope;
//# sourceMappingURL=messageEnvelope.interface.js.map