"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRabbitMQProvider = void 0;
const nestjs_rabbitmq_1 = require("@golevelup/nestjs-rabbitmq");
const rabbitmq_service_1 = require("./rabbitmq.service");
const types_1 = require("./types");
const createRabbitMQProvider = (options) => ({
    provide: types_1.RABBITMQ_SERVICE,
    useFactory: (connection) => new rabbitmq_service_1.RabbitMQService(connection, options),
    inject: [nestjs_rabbitmq_1.AmqpConnection],
});
exports.createRabbitMQProvider = createRabbitMQProvider;
//# sourceMappingURL=rabbitmq.provider.js.map